Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs
Class MarginInput

    java.lang.Object
      info.bioinfweb.treegraph.gui.dialogs.MarginInput

    public class MarginInput

extends java.lang.Object

Field Summary
`private DistanceValueInput` | `bottom`
`private DistanceValueInput` | `left`
`private DistanceValueInput` | `right`
`private javax.swing.JLabel` | `titleLabel`
`private DistanceValueInput` | `top`

Constructor Summary
`MarginInput(java.lang.String title, javax.swing.JPanel panel, int y0)`

Method Summary
`void` | `assignValueTo(Margin m)` Assigns the current values of the text-fields to the given `Margin`.
`DistanceValueInput` | `getBottom()`
`DistanceValueInput` | `getLeft()`
`DistanceValueInput` | `getRight()`
`javax.swing.JLabel` | `getTitleLabel()`
`DistanceValueInput` | `getTop()`
`private void` | `initLabel(java.lang.String title, javax.swing.JPanel panel, int y)`
`void` | `setValue(Margin m)` Assigns the given value to the text-fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### titleLabel

    private javax.swing.JLabel titleLabel

### left

    private DistanceValueInput left

### right

    private DistanceValueInput right

### top

    private DistanceValueInput top

### bottom

    private DistanceValueInput bottom

Constructor Detail

### MarginInput

    public MarginInput(java.lang.String title,
                       javax.swing.JPanel panel,
                       int y0)

Method Detail

### initLabel

    private void initLabel(java.lang.String title,
                           javax.swing.JPanel panel,
                           int y)

### getBottom

    public DistanceValueInput getBottom()

### getLeft

    public DistanceValueInput getLeft()

### getRight

    public DistanceValueInput getRight()

### getTitleLabel

    public javax.swing.JLabel getTitleLabel()

### getTop

    public DistanceValueInput getTop()

### setValue

    public void setValue(Margin m)

  Assigns the given value to the text-fields.

  Parameters:
    `m` -

### assignValueTo

    public void assignValueTo(Margin m)

  Assigns the current values of the text-fields to the given `Margin`.

  Parameters:
    `m` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD